com.tibco.bpm.service.connector

## Class EventCollectorUpdateService

- java.lang.Object
- - com.tibco.bpm.service.connector.EventCollectorUpdateService

- All Implemented Interfaces:
    EventCollectorUpdateService

      public class EventCollectorUpdateService
      extends java.lang.Object
      implements EventCollectorUpdateService

  Provides access to the EventCollectorUpdateService interfaces.

  ©2011 TIBCO Software Inc.
  Since:
    1.2

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `batchEvent(com.tibco.n2.ec.api.base.EventBatch batch)` Submit a batch of Events to the Event Collector database.
    `long` | `comment(com.tibco.n2.ec.api.base.Comment comment)` Add a comment to the audit trail
    `void` | `errorEvent(com.tibco.n2.ec.api.base.Event event)` Submit an error event to the Event Collector.
    `long` | `event(com.tibco.n2.ec.api.base.Event event)` Submit an event to the Event Collector database.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `registerAttributes(long componentId, com.tibco.n2.ec.api.base.AttributeDefinition[] attributeDefinitionArray)` Register attributes registers a new set of attributes or retrieves attribute information for a previously registered set of attributes.
    `com.tibco.n2.ec.api.base.AttributeDefinition[]` | `registerAttributes(long componentId, com.tibco.n2.ec.api.base.AttributeDefinition[] attributeDefinitionArray, com.tibco.n2.ec.api.base.RegisterAttributeOptions registerAttributesOptions)`
    `com.tibco.n2.ec.api.base.Component` | `registerComponent(com.tibco.n2.ec.api.base.Component component)` Register a component or retrieve registration information on a previously registered component.
    `com.tibco.n2.ec.api.base.Environment` | `registerEnvironment(com.tibco.n2.ec.api.base.Environment environment)` Register an environment.
    `com.tibco.n2.ec.api.base.Message[]` | `registerMessages(long componentId, com.tibco.n2.ec.api.base.Message[] messages, com.tibco.n2.ec.api.base.RegisterMessageOptions registerMessageOptions)` Register messages for a component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### errorEvent

          public void errorEvent(com.tibco.n2.ec.api.base.Event event)

      Description copied from interface: `EventCollectorUpdateService`
      Submit an error event to the Event Collector.
      Specified by:
        `errorEvent` in interface `EventCollectorUpdateService`

    - #### event

          public long event(com.tibco.n2.ec.api.base.Event event)
                     throws com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorUpdateService`
      Submit an event to the Event Collector database. The event requires the attributes used to have been previously registered with Event Collector.
      Specified by:
        `event` in interface `EventCollectorUpdateService`
      Throws:
        `com.tibco.n2.ec.services.SecurityFault`

    - #### batchEvent

          public void batchEvent(com.tibco.n2.ec.api.base.EventBatch batch)

      Description copied from interface: `EventCollectorUpdateService`
      Submit a batch of Events to the Event Collector database. The event requires the attributes used to have been previously registered with Event Collector.
      Specified by:
        `batchEvent` in interface `EventCollectorUpdateService`

    - #### registerAttributes

          public com.tibco.n2.ec.api.base.AttributeDefinition[] registerAttributes(long componentId,
                                                                                   com.tibco.n2.ec.api.base.AttributeDefinition[] attributeDefinitionArray)
                                                                            throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                   com.tibco.n2.ec.services.DuplicateRegistrationFault,
                                                                                   com.tibco.n2.ec.services.InternalServiceFault,
                                                                                   com.tibco.n2.ec.services.NoSuchComponentFault

      Description copied from interface: `EventCollectorUpdateService`
      Register attributes registers a new set of attributes or retrieves attribute information for a previously registered set of attributes. A given component name/version can only have one set of attributes registered if this method finds that an existing set of attributes already exists it will confirm that it matches this set, and if so returns existing registration information. Otherwise an exception is thrown.
      Specified by:
        `registerAttributes` in interface `EventCollectorUpdateService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.DuplicateRegistrationFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`

    - #### registerAttributes

          public com.tibco.n2.ec.api.base.AttributeDefinition[] registerAttributes(long componentId,
                                                                                   com.tibco.n2.ec.api.base.AttributeDefinition[] attributeDefinitionArray,
                                                                                   com.tibco.n2.ec.api.base.RegisterAttributeOptions registerAttributesOptions)
                                                                            throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                                   com.tibco.n2.ec.services.DuplicateRegistrationFault,
                                                                                   com.tibco.n2.ec.services.InternalServiceFault,
                                                                                   com.tibco.n2.ec.services.NoSuchComponentFault,
                                                                                   com.tibco.n2.ec.services.SecurityFault

      Specified by:
        `registerAttributes` in interface `EventCollectorUpdateService`
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.DuplicateRegistrationFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### registerComponent

          public com.tibco.n2.ec.api.base.Component registerComponent(com.tibco.n2.ec.api.base.Component component)
                                                               throws com.tibco.n2.ec.services.DuplicateRegistrationFault,
                                                                      com.tibco.n2.ec.services.InternalServiceFault,
                                                                      com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorUpdateService`
      Register a component or retrieve registration information on a previously registered component. This method ensures no duplication/corruption of component information exists by ensuring that this component is either new or exactly matches an existing component (i.e. a given component name/version must contain the same information as a previously submitted component name/version which matches)
      Specified by:
        `registerComponent` in interface `EventCollectorUpdateService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.DuplicateRegistrationFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### registerEnvironment

          public com.tibco.n2.ec.api.base.Environment registerEnvironment(com.tibco.n2.ec.api.base.Environment environment)
                                                                   throws com.tibco.n2.ec.services.InternalServiceFault,
                                                                          com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorUpdateService`
      Register an environment.
      Specified by:
        `registerEnvironment` in interface `EventCollectorUpdateService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.SecurityFault`

    - #### registerMessages

          public com.tibco.n2.ec.api.base.Message[] registerMessages(long componentId,
                                                                     com.tibco.n2.ec.api.base.Message[] messages,
                                                                     com.tibco.n2.ec.api.base.RegisterMessageOptions registerMessageOptions)
                                                              throws com.tibco.n2.ec.services.InvalidRequestFault,
                                                                     com.tibco.n2.ec.services.DuplicateRegistrationFault,
                                                                     com.tibco.n2.ec.services.InternalServiceFault,
                                                                     com.tibco.n2.ec.services.NoSuchComponentFault

      Description copied from interface: `EventCollectorUpdateService`
      Register messages for a component.
      Specified by:
        `registerMessages` in interface `EventCollectorUpdateService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.DuplicateRegistrationFault`
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.NoSuchComponentFault`

    - #### comment

          public long comment(com.tibco.n2.ec.api.base.Comment comment)
                       throws com.tibco.n2.ec.services.InternalServiceFault,
                              com.tibco.n2.ec.services.InvalidRequestFault,
                              com.tibco.n2.ec.services.SecurityFault

      Description copied from interface: `EventCollectorUpdateService`
      Add a comment to the audit trail
      Specified by:
        `comment` in interface `EventCollectorUpdateService`
      Returns:
      Throws:
        `com.tibco.n2.ec.services.InternalServiceFault`
        `com.tibco.n2.ec.services.InvalidRequestFault`
        `com.tibco.n2.ec.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.